<?php
//---------------------------------------------------------------------------------------------------------
// 01/Febrero/2019 ==> Aquí se ejecutan las acciones asociadas a este módulo
//---------------------------------------------------------------------------------------------------------
// 12/Junio/2019 ==> Las acciones ahora son funciones
//---------------------------------------------------------------------------------------------------------
	//$accion = Getter::get('accion', NULL);
	function login_logout(){
		Usuario::logout();
		//Recargamos la página la de inicio
		Sesion::commit();
		Sesion::reloadPage(Shop::$configuracion->url);
	}
	
	function login_cartLogout(){
		CabeceraCesta::cartLogout();
		//Recargamos la página
		Sesion::commit();
		//Recargamos la página a dónde estemos
		Sesion::setReloadPage(Sesion::getReloadPage() | true);
	}
	
	function login_login(){
		$usuario = Getter::get('usuario', '');
		$password = Getter::get('password', '');
		$redirigir_a = Getter::get('redirigir_a', '');
		if ( ($usuario != '') && ($password != '' ) ){
			$resultado_login = Usuario::login($usuario, $password);
			//Login correcto?
			//si:
			if (is_a($resultado_login, 'Usuario')){
				Sesion::remove('resultado_login');
				Sesion::remove('datos_login');
				Sesion::commit();
				if ($redirigir_a != ''){
					Sesion::reloadPage(Shop::$configuracion->url . $redirigir_a);
				}
			}else{
				//no:
				$datos_login = $usuario;
				Sesion::set('resultado_login', $resultado_login);
				Sesion::set('datos_login', $datos_login);
			}
			//Recargamos la página
			Sesion::setReloadPage(Sesion::getReloadPage() | true);
		}
	}

